Skip to main content
GET
/
v1
/
settlement
List all settlement batches
curl --request GET \
  --url https://idaas.yourflexpay.com/api/v1/settlement \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "message": "<string>",
  "errorCode": "<string>",
  "data": {
    "totalElements": 123,
    "totalPages": 123,
    "first": true,
    "last": true,
    "size": 123,
    "content": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "settlementDate": "2025-03-03",
        "currency": "NGN",
        "totalCredited": 250000,
        "totalDebited": 250000,
        "transactionCount": 123,
        "applicationCount": 123,
        "status": "PENDING",
        "errorMessage": "<string>",
        "createdAt": "2023-11-07T05:31:56Z",
        "entries": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "applicationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "applicationName": "WalletApp",
            "walletId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "currency": "NGN",
            "totalCredited": 150000,
            "totalDebited": 100000,
            "netAmount": 50000,
            "openingBalance": 123,
            "closingBalance": 123,
            "transactionCount": 123,
            "createdAt": "2023-11-07T05:31:56Z"
          }
        ]
      }
    ],
    "number": 123,
    "sort": [
      {
        "direction": "<string>",
        "nullHandling": "<string>",
        "ascending": true,
        "property": "<string>",
        "ignoreCase": true
      }
    ],
    "numberOfElements": 123,
    "pageable": {
      "offset": 123,
      "sort": [
        {
          "direction": "<string>",
          "nullHandling": "<string>",
          "ascending": true,
          "property": "<string>",
          "ignoreCase": true
        }
      ],
      "paged": true,
      "unpaged": true,
      "pageNumber": 123,
      "pageSize": 123
    },
    "empty": true
  },
  "errors": [
    "<string>"
  ],
  "timestamp": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Obtain a token from POST /v1/auth/token using your client_id and client_secret, then enter Bearer <token> here.

Query Parameters

pageable
object
required

Response

200 - */*

Paginated list of settlement records

success
boolean
message
string
errorCode
string
data
object
errors
string[]
timestamp
string<date-time>